Flash player

De doc.ubuntu-es
(Diferencias entre revisiones)
Saltar a: navegación, buscar
(Ubuntu 7.10 (Gutsy Gibbon))
 
(No se muestran 5 ediciones intermedias realizadas por 3 usuarios)
Línea 1: Línea 1:
Adobe actualmente solo proporciona la versión Flash para Linux x86.
 
 
{{Nota|Para equipos no-x86''': Adobe Flash Player está solo disponible para x86. Reproducir Flash en distribuciones de Ubuntu '''PPC''' y '''AMD64''' es posible, sin embargo, consulta [[Flash Player en amd64]].}}
 
 
== Ubuntu 7.10 (Gutsy Gibbon) ==
 
 
 
En Ubuntu la instalación del Flash Player se puede hacer mediante la instalación del paquete '''flashplugin-nonfree''' vía Synaptic o Adept, o a traves del propio navegador Firefox que te avisará cuando un complemente necesita ser instalado para la correcta visualización de la web.
 
En Ubuntu la instalación del Flash Player se puede hacer mediante la instalación del paquete '''flashplugin-nonfree''' vía Synaptic o Adept, o a traves del propio navegador Firefox que te avisará cuando un complemente necesita ser instalado para la correcta visualización de la web.
  
Si por alguna razón tienes problemas con la instalación del flash (sólo en equipos 32 bits) puedes probar a desinstalar el paquete '''flashplugin-nonfree''' y '''ubufox''' (una programa que permite instalar extensiones en el firefox de forma sencilla), limpiar el cache y entrar en una web como www.youtube.es para que firefox te avíse y descarge el flash usando su propio sistema.
+
Si por alguna razón tienes problemas con la instalación del flash puedes probar a desinstalar el paquete '''flashplugin-nonfree''' y '''ubufox''' (una programa que permite instalar extensiones en el firefox de forma sencilla), limpiar el cache y entrar en una web como [http://es.youtube.com/ www.youtube.es] para que firefox te avise y descargue el flash usando su propio sistema.
  
Si utilizas la terminal puedes simplicar algunos pasos (con el firefox cerrado):
+
Si utilizas la terminal puedes simplificar algunos pasos (con el firefox cerrado):
  
 
  sudo aptitude purge flashplugin-nonfree ubufox
 
  sudo aptitude purge flashplugin-nonfree ubufox
 +
 
  sudo aptitude clean && sudo apt-get clean
 
  sudo aptitude clean && sudo apt-get clean
  
Línea 18: Línea 13:
 
De esta forma además de solucionar algunos problemas con el paquete '''flashplugin-nonfree''', podemos obtener la ultima versión estable del flash que no siempre va de acuerdo con la de los repositorios de Ubuntu.
 
De esta forma además de solucionar algunos problemas con el paquete '''flashplugin-nonfree''', podemos obtener la ultima versión estable del flash que no siempre va de acuerdo con la de los repositorios de Ubuntu.
  
== Ubuntu 7.04 (Feisty Fawn) ==
+
=== Flash en Ubuntu 64 bits ===
* Instala el paquete <tt>'''flashplugin-nonfree'''</tt>.
+
* '''Paso extra para Konqueror'''. En Konqueror, haz click en '''Opciones''' → '''Configurar Konqueror'''. baja hasta la opción '''Plugins'''. Haz click en '''Buscar nuevos plugins'''
+
* Reinicia tu navegador. Flash debe funcionar ahora.
+
  
== Ubuntu 6.10 (Edgy Eft) ==
+
Por favor consulta [[Flash Player en amd64|este artículo]]
 
+
Este método instalará la última versión de flashplayer de los repositorios de Ubuntu, para Firefox, Konqueror, Mozilla, Epiphany y otros navegadores.
+
 
+
* Instala el paquete <tt>'''flashplugin-nonfree'''</tt>.  Necesitas tener añadido el repositorio  Multiverse para este paquete esté presente. Consulta [[instalar aplicaciones]].
+
* Reinicia tu navegador web. Flash debe funcionar ahora.
+
 
+
== Ubuntu 6.06 LTS (Dapper Drake) ==
+
 
+
=== Instalar desde los Repositorios ===
+
 
+
Este método instalará la última versión de flashplayer de los repositorios de Ubuntu, para Firefox, Konqueror, Mozilla, Epiphany y otros navegadores.
+
 
+
* Añade el [:UbuntuBackports:Repositorio Backport]
+
* Instala el paquete <tt>'''flashplugin-nonfree'''</tt>.. Necesitarás tener el repositorio Multiverse activado para que este paquete esté presente.
+
* '''Paso extra para Konqueror'''. En Konqueror, haz click en '''Opciones''' → '''Configurar Konqueror'''. Baja hasta la opción '''Plugins'''. Haz click en '''Buscar nuevos plugins'''
+
* Reinicia tu navegador web. Flash debe funcionar ahora..
+
 
+
El paquete <tt>'''flashplugin-nonfree'''</tt> no funcionará si estás tras un servidor proxy:
+
* Lo siguiente descargará el TGZ desde http://www.adobe.com/shockwave/download/download.cgi?P1_Prod_Version=ShockwaveFlash
+
* Toma nota de tu localización de Firefox, que posiblemente esté en /usr/lib/firefox
+
 
+
  sudo -i
+
  wget http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz
+
  tar zxvf install_flash_player_9_linux.tar.gz
+
  cd install_flash_player_9_linux/
+
  ./flashplayer-installer
+
  exit
+
 
+
* Recuerda que si instalas flash de esta manera, no recibirás actualizaciones automáticas para Flash a través del gestor de paquetes de Ubuntu.
+
 
+
== Flash para AMD64 y PPC ==
+
 
+
=== Alternativas Libres a Adobe Flashplayer ===
+
 
+
Actualmente '''NO''' hay implementación de flash disponible para procesadores 64-bit. Sin embargo, hay dos implementaciones de código abierto actualmente en desarrollo. Una es [http://www.gnu.org/software/gnash/ Gnash] y la otra es [http://advogato.org/person/company/diary.html Swfdec].
+
 
+
Si estás utilizando Ubuntu 7.04, Gnash y Swfdec están disponibles como paquetes de Ubuntu en los [:Repositories/Ubuntu:Repositorios Universe].
+
* Gnash se puede instalar descargando el paquete <tt>mozilla-plugin-gnash</tt>.
+
* Swfdec se puede instalar descargando el paquete <tt>swf-player package</tt>.
+
 
+
Para ayuda sobre como instalar, por favor, consulta la página del wiki: [[instalar aplicaciones]]
+
 
+
Si estás utilizando Ubuntu 6.10, Gnash está disponible en el [:UbuntuBackports: Backports repository]. Los siguientes paquetes han de ser instalados: <tt>gnash, konqueror-plugin-gnash</tt> y <tt>mozilla-plugin-gnash</tt>.
+
 
+
=== Ejecutar en un entorno chroot de 32-bit ===
+
 
+
Si estás determinado. Instala un Ubuntu i386 Ubuntu en un [wiki:Ubuntu/DebootstrapChroot] y inicia tu navegador con plugin flash desde ahí. Los usuadios de Amd64 pueden consultar también [Self:FirefoxAMD64FlashJava.]
+
 
+
=== Ejecutar usando nspluginwrapper ===
+
 
+
Usando el nspluginwrapper es posible ejecutar en un x64 con flash 32bit. Consulta [[Flash Player en amd64]]
+
  
 
== Resolución de problemas ==
 
== Resolución de problemas ==
Línea 83: Línea 24:
  
 
==== Sonido ====
 
==== Sonido ====
 +
;Sintomas:
 +
* El sonido se escucha en el resto del escritorio (programas externos) o en el flash, pero no en ambos a la vez
 +
 +
;Solución:
 +
 +
Instala los paquetes <tt>'''libflash-mozplugin'''</tt> y <tt>'''libflashsupport'''</tt>.
 +
 
;Sintomas:
 
;Sintomas:
 
* Los vídeos Flash videos dejan de reproducirse después de 1 segundo.
 
* Los vídeos Flash videos dejan de reproducirse después de 1 segundo.
Línea 155: Línea 103:
 
==== Fuentes ====
 
==== Fuentes ====
  
Si estás viendo un vídeo Flash y no ves ningun texto, instala los paquetes <tt>'''gsfonts'''</tt> and <tt>'''gsfonts-x11'''</tt>.
+
Si estás viendo un vídeo Flash y no ves ningún texto, instala los paquetes <tt>'''gsfonts'''</tt> and <tt>'''gsfonts-x11'''</tt>.
  
  

Última revisión de 21:18 23 feb 2009

En Ubuntu la instalación del Flash Player se puede hacer mediante la instalación del paquete flashplugin-nonfree vía Synaptic o Adept, o a traves del propio navegador Firefox que te avisará cuando un complemente necesita ser instalado para la correcta visualización de la web.

Si por alguna razón tienes problemas con la instalación del flash puedes probar a desinstalar el paquete flashplugin-nonfree y ubufox (una programa que permite instalar extensiones en el firefox de forma sencilla), limpiar el cache y entrar en una web como www.youtube.es para que firefox te avise y descargue el flash usando su propio sistema.

Si utilizas la terminal puedes simplificar algunos pasos (con el firefox cerrado):

sudo aptitude purge flashplugin-nonfree ubufox
sudo aptitude clean && sudo apt-get clean

Y ahora entra en una web que tenga flash incrustado (como youtube).

De esta forma además de solucionar algunos problemas con el paquete flashplugin-nonfree, podemos obtener la ultima versión estable del flash que no siempre va de acuerdo con la de los repositorios de Ubuntu.

Contenido

[editar] Flash en Ubuntu 64 bits

Por favor consulta este artículo

[editar] Resolución de problemas

  • Si flash no se carga en Firefox/Konqueror después de hacer lo anterior, puedes descargar de nuevo el plugin desde el principio emitiendo lo siguiente:
sudo update-flashplugin

[editar] Sonido

Sintomas
  • El sonido se escucha en el resto del escritorio (programas externos) o en el flash, pero no en ambos a la vez
Solución

Instala los paquetes libflash-mozplugin y libflashsupport.

Sintomas
  • Los vídeos Flash videos dejan de reproducirse después de 1 segundo.
  • Firefox se congela cuando voy a otra página después de haber intentado ver un vídeo flash.
  • El proceso de Firefox no finaliza correctamente después de intentar ver un vídeo flash.
Posibles soluciones

Si el sonido no funciona correctamente después de instalar flash o experimentas algunos de los sintomas anteriores, intenta alguna de las siguientes soluciones:

  • Instala el paquete alsa-oss.
  • Edita el script rc de Firefox rc:
 sudo nano /etc/firefox/firefoxrc}}}
  • Añade/Cambia la línea:
 FIREFOX_DSP="aoss"
  • Si estás usando SwiftFox, deberías podes hacerlo funcionar del mismo modo que Firefox parcheando el fichero /usr/lib/swiftfox/run-mozilla.sh. Aquí tienes los pasos:
  1. Guarda el siguiente código en un fichero, puedes llamarlo swiftfox_oss_patch.diff
 --- /usr/lib/swiftfox/run-mozilla.sh.orig	2006-08-23 16:19:43.000000000 +0300
 +++ /usr/lib/swiftfox/run-mozilla.sh	2006-08-23 16:30:48.000000000 +0300
 @@ -163,7 +163,30 @@
	##
	## Run the program
	##
 -	"$prog" ${1+"$@"}
 +	if [ -f /etc/firefox/firefoxrc ]; then
 +	    . /etc/firefox/firefoxrc
 +	fi
 +	if [ -z "${FIREFOX_DSP}" ]; then
 +	    #FIREFOX_DSP="auto"
 +	    FIREFOX_DSP="none"
 +	    # esddsp is dreadful, see https://launchpad.net/malone/bugs/29760
 +	fi
 +	##
 +	## find /dev/dsp handler
 +	##
 +
 +	if [ "${FIREFOX_DSP}" = "auto" ]; then
 +	    FIREFOX_DSP=
 +	    if pgrep -u 	d -u esd >/dev/null 2>&1; then
 +	        FIREFOX_DSP=esddsp
 +	    elif pgrep -u 	d -u arts >/dev/null 2>&1; then
 +	        FIREFOX_DSP=artsdsp
 +	    fi
 +	elif [ "${FIREFOX_DSP}" = "none" ]; then
 +	    FIREFOX_DSP=
 +	fi
 +
 +	exec "${FIREFOX_DSP}" "$prog" ${1+"$@"}
	exitcode=$?
	if [ "$DEBUG_CORE_FILES" ]
	then
  1. Aplica el parche con el siguiente comando desde tu terminal/consola:
sudo patch -p0 <swiftfox_oss_patch.diff
  1. Esto debería hacer que SwiftFox lea el fichero /etc/firefox/firefoxrc de la misma manera que lo hace para Firefox.
  • Reinicia Firefox e intenta probar de nuevo flash.

Si aun continuas teniendo el problema, prueba instalando libflash-mozplugin

[editar] Vídeo

Si utilizas una tarjeta gráfica Intel 855GM, asegúrate de tener el servidor X server color depth en 24 bits, de otro modo probablemente experimentarás petadas de Firefox. Consulta bug #14911 para más información sobre esto.

[editar] Fuentes

Si estás viendo un vídeo Flash y no ves ningún texto, instala los paquetes gsfonts and gsfonts-x11.


[editar] Recursos relacionados

Adobe tiene un blog cubriendo el desarrollo de Flash para Linux en: http://blogs.adobe.com/penguin.swf/

Herramientas personales